.rsd {
    outline: none;
}

.html--amfoodie .rsd {
    padding-top: 15px;
}

.rsd__viewer {
    background: #fff;
}

.rsd__viewer ._vr-contents {
    padding: 0;
}

.html--carte .rsd__viewer ._vr-close {
    display: none;
}

.rsd__viewer.loading:before {
    top: 113px;
}


/* стили хедера */
.rsd__header {
    width: 100%;
    height: 113px;
    background: #3e3e3e;
    position: relative;
    text-align: center;
    margin: 0 0 18px 0;
}

.rsd__appheader {
    font: 700 21px/60px geometria, arial;
    text-align: center;
}

html:not(.html--carte) .rsd__header {
    display: none
}


.rsd__logo {
    width: 131px;
    height: 73px;
    background: url(i/logo.svg) no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 17px 0 0 0;
    text-decoration: none;
    cursor: pointer;
}

.html--clever .rsd__logo {
    background: url(i/logo-clever.svg) center/contain no-repeat;
}

.html--antei .rsd__logo {
    background: url(i/logo-antei.svg) center/contain no-repeat;
}

.rsd__close {
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
    right: 0;
    background: url(i/cross.svg) no-repeat 19px 19px / 12px auto;
    cursor: pointer;
    padding: 20px;
}

/**/
.rsd__info {
    background: #FFEA6B;
    font: 14px/17px geometria, arial;
    padding: 11px 18px;
    display: none
}

.rsd__info--isset {
    display: block;
    margin: -18px 0 18px 0;
}

.rsd__info > p {
    margin-bottom: 5px;
}

.rsd__info > p:last-child {
    margin: 0;
}


/* inputs */
.rsd__input {
    cursor: pointer;
    border-radius: 3px;
    border: 1px solid #d3d3d3;
    display: inline-block;
    vertical-align: middle;
    padding: 0 8px 0 8px;
    font: 15px/32px geometria, arial;
    position: relative;
    -webkit-appearance: none;
}


div.rsd__input {

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

}

input.rsd__input {
    cursor: text;
    overflow: visible;
    white-space: normal;
}

.rsd__input:focus {
    border-color: #83bffc;
    box-shadow: 0 0 0 1px #79befc;
}

.rsd__input--tick {
    padding-right: 20px;
}

.rsd__input--tick:after {
    position: absolute;
    width: 16px;
    right: 0;
    top: 0;
    bottom: 0;
    content: "";
    background: url(i/arrow_down.svg) no-repeat 0 55%;
    opacity: .5;
}

.rsd__select {
    margin: 5px 0 0 0;
    position: absolute;
    z-index: 2;
    visibility: hidden;
    opacity: 0;
    background: #fff;
    max-height: 0;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    left: 18px;
    right: 18px;
    border-radius: 3px;
    box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .25);
    transform: translateY(10px);
    transition: transform 0.15s ease-out, opacity 0.15s ease-out, max-height 0s 0.15s;
}

.rsd__select--times,
.rsd__select--persons {
    left: auto;
    width: calc(35% - 12px)
}

.rsd__select--companies {
    left: auto;
    width: calc(55% - 21px)
}

.rsd--app .rsd__select--companies {
    width: auto;
    left: 18px;
}

.rsd__select--cities {
    width: 220px;
    right: auto;
}

.rsd--select-companies .rsd__select--companies,
.rsd--select-cities .rsd__select--cities,
.rsd--select-tables .rsd__select--tables,
.rsd--select-times .rsd__select--times,
.rsd--select-persons .rsd__select--persons,
.rsd--select-status .rsd__select--status {
    max-height: 270px;
    visibility: visible;
    opacity: 1;
    overflow: auto;
    transform: translateY(0);
    transition: transform 0.15s ease-out, opacity 0.15s ease-out, max-height 0s;
}

.rsd__select-option {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font: 400 15px/17px geometria, arial;
    cursor: pointer;
    padding: 10px 10px;
    position: relative;
}

.rsd__select-option--active {
    background: #FFE484;
}

.rsd__select-option--table {
    padding-left: 40px;
    padding-right: 80px;
}

.rsd__select-option--table:after {
    content: attr(data-places);
    position: absolute;
    right: 10px;
    font-size: 12px;
    color: #666
}

.rsd__select-checkbox {
    background: #fff;
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    position: absolute;
    border-radius: 2px;
    top: 0;
    bottom: 0;
    margin: auto;
    left: 9px;
    transition: background-color 250ms;
}

.rsd__select-option--checked .rsd__select-checkbox {
    background: #ffeba0;
}

.rsd__select-option--checked .rsd__select-checkbox:before {
    content: "";
    height: 2px;
    background: #000;
    position: absolute;
    top: 5px;
    left: 2px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    animation: anim_checkbox 125ms linear 0s forwards;
    transform-origin: left top;
}

.rsd__select-option--checked .rsd__select-checkbox:after {
    content: "";
    height: 2px;
    background: #000;
    position: absolute;
    top: 12px;
    left: 9px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    animation: anim_checkbox2 250ms ease 0s forwards;
    transform-origin: left top;
}


@keyframes anim_checkbox {
    0% {
        width: 0;
    }
    50% {
        width: 0;
    }
    100% {
        width: 60%;
    }
}

@keyframes anim_checkbox2 {
    0% {
        width: 0;
    }
    50% {
        width: 0;
    }
    100% {
        width: 110%;
    }
}

/* выбор заведения */
.rsd__company-wrap {
    padding: 0 18px;
    font: 0/0 a;
    position: relative;
    margin: 0 0 10px 0
}

.rsd--business .rsd__company-wrap {
    display: none;
}

.rsd__city {
    margin: 0 9px 0 0;
    width: 46%;
}

.rsd__company {
    width: 50%;
}

@supports (width: calc(45% - 9px)) {
    .rsd__city {
        width: calc(45% - 9px);
    }

    .rsd__company {
        width: 55%;
    }
}

.rsd--app .rsd__city {
    display: none;
}

.rsd--app .rsd__company {
    width: 100%;
}

/* выбор даты */

.rsd__date-wrap {
    padding: 0 18px;
    font: 0/0 a;
    position: relative;
    margin: 0 0 10px 0
}

.rsd__date {
    margin: 0 9px 0 0;
    width: 61%;
    background: url(i/date.svg) no-repeat 7px 50% / 24px auto;
    padding-left: 38px;
}

.rsd__persons {
    width: 35%;
    background: url(i/persons.svg) no-repeat 9px 50% / 14px auto;
    padding-left: 30px;
}

.rsd__day {
    position: absolute;
    left: -9999px;
}

.rsd__date-wrap > .picker {
    left: 5px;
    width: auto;
    right: 5px;
    margin: 10px 0 0 0;
    font: 17px/17px geometria, arial
}

@supports (width: calc(65% - 9px)) {
    .rsd__date {
        width: calc(65% - 9px);
    }
}

/* выбор столика */
.rsd__tables-wrap {
    padding: 0 18px;
    font: 0/0 a;
    position: relative;
    margin: 0 0 10px 0
}

.rsd__tables {
    width: 61%;
    margin: 0 9px 0 0;
}

.rsd__business-time {
    width: 35%;
    background: url(i/time.svg) no-repeat 8px 50% / 15px auto;
    padding-left: 30px;
}

@supports (width: calc(65% - 9px)) {
    .rsd__tables {
        width: calc(65% - 9px);
    }
}

/* статус */

.rsd__status-wrap {
    padding: 0 18px;
    margin: 0 0 10px 0;
}

.rsd__status {
    width: 100%;
}

.rsd__status--ico {
    padding-left: 38px;
    position: relative;
}

.rsd__status--ico:before {
    content: "";
    position: absolute;
    left: 5px;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 24px;
    height: 24px;
    border-radius: 50%;
}

.rsd__status--ico[data-value="0"]:before {
    background: #ffcc00 url(i/status/new.svg) no-repeat 50% 50% / 14px auto;
}

.rsd__status--ico[data-value="1"]:before {
    background: #33cc00 url(i/status/book.svg) no-repeat 50% 50% / 12px auto;
}

.rsd__status--ico[data-value="2"]:before {
    background: #ff0000 url(i/status/cancel.svg) no-repeat 50% 50% / 10px auto;
}

.rsd__status--ico[data-value="3"]:before {
    background: #ff0000 url(i/status/no-show.svg) no-repeat 50% 50% / 14px auto;
}

.rsd__status--ico[data-value="4"]:before {
    background: #b0e020 url(i/status/arrived.svg) no-repeat 50% 50% / 12px auto;
}

.rsd__status--ico[data-value="5"]:before {
    background: #33cc00 url(i/status/finish.svg) no-repeat 50% 50% / 14px auto;
}

.rsd__status--ico[data-value="7"]:before {
    background: #ffcc00 url(i/status/prepay.svg) no-repeat 50% 50% / 14px auto;
}


/* стили плашки "мест нет" */
.rsd__noseats {
    position: absolute;
    background: #fff;
    right: 0;
    left: 0;
    padding: 30px 0 0 0;
    display: none;
    text-align: center;
    margin: -2px 0 0 0;
    height: 170px;
    z-index: 1;
}

.rsd--noseats .rsd__noseats {
    display: block;
}

.rsd__noseats-warn {
    font: 400 17px/22px geometria, arial;
    margin: 0 0 7px 0;
}

.rsd__noseats-alt {
    color: #999;
    font: 14px/18px geometria, arial;
}


/* стили блока с выбором времини */
.rsd__times {
    text-align: left;
    font: 0/0 a;
    margin: 9px 0 0 0;
    padding: 0 18px;
    position: relative;
}

.rsd--noseats .rsd__times {
    height: 169px;
    overflow: hidden;
}

.rsd__time {
    display: inline-block;
    vertical-align: top;
    font: 14px/23px geometria, arial;
    width: 21%;
    text-align: center;
    border: 1px solid #dedede;
    border-radius: 2px;
    margin: 0 9px 9px 0;
    cursor: pointer;
}

.rsd__time--inactive {
    color: #c7c7c7;
}

.rsd__time--available {
    background: #fff;
    color: #000;
}

.rsd__time--unavailable {
    color: #c7c7c7;
    opacity: .5;
    cursor: default;
}

.rsd__time--active {
    border-color: transparent;
    background: #FF2323;
    color: #fff;
}

@supports (display: flex) {
    .rsd__time {
        flex-basis: 22%;
        margin-right: 0;
    }

    .rsd__times {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
}

.rsd--business .rsd__times {
    display: none;
}

/* стили пожеланий */
.rsd__wish-wrap {
    font: 0/0 a;
    padding: 0 18px;
}

.rsd__wish {
    resize: none;
    width: 100%;
    height: 57px;
    border: 1px solid #d3d3d3;
    border-radius: 3px;
    font: 15px/22px geometria, arial;
    padding: 4px 0 0 8px;
    margin: 0 0 13px 0;
}

.rsd__wish:focus {
    border-color: #83bffc;
    box-shadow: 0 0 0 1px #79befc;
}

.rsd__wish-options {
    display: none;
    margin: 0 -10px 5px 0;
}

.rsd--smoking .rsd__wish-options {
    display: block;
}

.rsd__wish-option {
    display: inline-block;
    font: 13px/25px geometria, arial;
    border: 1px solid #dedede;
    border-radius: 2px;
    padding: 0 9px 0 7px;
    margin: 0 9px 9px 0;
    cursor: pointer;
}

.rsd__wish-option--active {
    background: #ff0000;
    color: #fff;
    border-color: transparent;
}

.rsd__wish-option:last-child {
    margin-right: 0;
}


/* стили контактов */
.rsd__footer {
    background: #EEFCDF;
}

.rsd__contacts {
    padding: 15px 18px 0 18px;
    font: 0/0 a;
    color: #000;
}

.rsd__name {
    width: 100%;
}

.rsd__phone {
    margin: 11px 0 0 0;
    position: relative;
}

.rsd__phone:before {
    display: none;
    content: "*";
    color: #FF5A5A;
    position: absolute;
    font: 22px/42px geometria, arial;
    left: -14px;
}

.rsd__number {
    width: 120px;
}

.rsd__sms-send {
    width: 110px;
    background: #00B9FF;
    border-radius: 3px;
    color: #fff;
    font: 14px/30px geometria, arial;
    padding: 0;
    cursor: pointer;
    transition: background 300ms;
    border: 1px solid transparent;
    display: none;
}

.rsd--sms-sent .rsd__sms-send {
    display: none;
}

.rsd__sms-hint {
    font: 400 12px/14px geometria, arial;
    color: #666;
    margin: 5px auto 0 auto;
    width: 100%;
    text-align: center;
}

.rsd__sms-code {
    width: 44%;
    display: none;
    font-size: 15px;
}

.rsd--sms-sent .rsd__sms-code {
    display: block;
    margin: 0 0 0 7px;
}

.rsd__sms-resend {
    color: #0066ff;
    display: inline-block;
    border-bottom: 1px dotted;
    line-height: 12px;
    cursor: pointer;
}

.html--callcenter .rsd__sms-send,
.html--business .rsd__sms-send,
.html--callcenter .rsd__sms-hint,
.html--business .rsd__sms-hint {
    display: none;
}

.html--callcenter .rsd__number,
.html--business .rsd__number {
    margin-right: 0;
}

@supports (display: flex) {
    .rsd__phone {
        display: flex;
        flex-wrap: wrap;
    }

    .rsd__number {
        flex-grow: 1;
    }
}


/* кнопка отправить */
.rsd__submit-wrap {
    padding: 10px 18px;
    background: #EEFCDF;

}

.rsd--sticky .rsd__submit-wrap {
    position: sticky;
    position: -webkit-sticky;
    bottom: 0;
}

html:not(.html--carte) .rsd__submit-wrap {
    padding-bottom: 15px;
}

.rsd__submit {
    border-radius: 3px;
    transition: background 200ms;
    background: var(--button-bg);
    width: 100%;
    color: #fff;
    font: 700 22px/45px geometria, arial;
    cursor: pointer;
    border: none;
}

.rsd__submit--prepay {
    font-size: 20px;
}


/* DESKTOP */
@media screen and (min-width: 501px) {
    .rsd__viewer {
        width: 280px;
        border-radius: 5px;
        overflow: hidden;
    }

    .html--callcenter .rsd__viewer,
    .html--business .rsd__viewer {
        width: 395px;
    }

    .html--callcenter .rsd__time,
    .html--business .rsd__time {
        flex-basis: 18%;
    }

    .html--callcenter .rsd__date-wrap > .picker,
    .html--business .rsd__date-wrap > .picker {
        left: 18px;
        right: 18px;
    }

    .rsd__close {
        opacity: .7;
        transition: opacity 200ms;
    }

    .rsd__close:hover {
        opacity: 1;
    }

    .rsd__time--available:hover {
        border-color: transparent;
        background: #FF2323;
        color: #fff;
    }

    .rsd__time--inactive:hover {
        border-color: transparent;
        background: #c7c7c7;
        color: #fff;
    }

    .rsd__wish-option:hover {
        background: #ff0000;
        color: #fff;
        border-color: transparent;
    }

    .rsd__input:hover, .rsd__wish:hover {
        border-color: #83bffc;
        box-shadow: 0 0 0 1px #79befc;
    }

    .rsd__submit:hover {
        background: var(--button-bg-hover);
    }

    .rsd__sms-send:hover {
        background-color: #00ACF1;
    }

    .rsd__city:hover:after, .rsd__company:hover:after, .rsd__date:hover:after {
        opacity: 1;
    }

    .rsd__sms-resend:hover {
        color: #ff0000;
    }


    .rsd__select-option:not(.rsd__select-option--active):hover {
        background-color: rgba(255, 228, 132, .3)
    }
}


/* MOBILE */
@media screen and (max-width: 500px) {

    .rsd__header {
        height: 95px;
    }

    .rsd__logo {
        margin-top: 10px;
    }

    .rsd__close {
        background-size: 16px auto;
    }

    .rsd__time {
        flex-basis: 18%;
    }

    .rsd__input, .rsd__sms-send {
        line-height: 40px;
    }

    .rsd__input--tick:after {
        background-size: 10px auto;
    }

    .rsd__time {
        line-height: 28px;
    }

    .rsd__status {
        padding-left: 45px;
    }

    .rsd__status--ico:before {
        width: 30px;
        height: 30px;
    }

    .rsd__select--status .rsd__select-option {
        padding-top: 13px;
        padding-bottom: 13px;
        padding-left: 45px;
    }

    .rsd__submit {
        line-height: 50px;
    }

    .rsd__sms-hint {
        font-weight: 400;
    }

    .rsd__footer {
        padding-bottom: 350px;
    }
}

@media screen and (max-width: 375px) {
    .rsd__time {
        flex-basis: 22%
    }
}